@font-face {
    font-family: "EuroNarrow";
    src: url("./fonts/Narrow05.otf") format("opentype");
    font-weight: normal;
    font-style: italic;
}

#ui-container {
    display: none;
    position: absolute;
    pointer-events: none; /* so that click, drag works instantly */
    bottom: 0;
    width: 100%;
    font-size: 14px;
    background-color: rgba(0, 0, 0, 0.7);
    padding: 1.25em;
    box-sizing: border-box;
    box-shadow: 0px 0px 3px 3px rgba(0, 0, 0, 0.7);
    pointer-events: all;
}

[data-unity-loaded="true"] #ui-container {
    display: flex;
    flex-direction: row;
    align-items: flex-start;
    justify-content: space-between;
}

.display-none {
    display: none !important;
}

#parameters {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-row-gap: .75em;
  grid-column-gap: 1.25em;
  /* max-width: 900px; */

  pointer-events: all;
}

.param {
    flex-direction: column;
    font-family: "EuroNarrow", "Helvetica", sans-serif;
    letter-spacing: 0.06em;
    font-style: italic;
}

.param > .title {
    text-transform: uppercase;
    -webkit-user-select: none;
    -moz-user-select: none;
}

.param > .control {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 1.15em;
    margin-top: 2px;
}

.param > .control > .value {
    width: 40px;
    -webkit-user-select: none;
    -moz-user-select: none;
}

.slider {
    -webkit-appearance: none;
    appearance: none;
    width: 175px;
    height: 10px;
    background: url(../media/Bar.png) center no-repeat;
    outline: none;
    opacity: 0.7;
    -webkit-transition: 0.2s;
    transition: opacity 0.2s;
    cursor: pointer;
}

.slider:hover {
    opacity: 1;
}

.slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 12px;
    height: 27px;
    background: url(../media/Scroll.png) center no-repeat;
    cursor: pointer;
    outline: none;
    border: none;
}

.slider::-moz-range-thumb {
    appearance: none;
    width: 12px;
    height: 27px;
    background: url(../media/Scroll.png) center no-repeat;
    cursor: pointer;
    outline: none;
    border: none;
}

.slider::-ms-thumb {
    appearance: none;
    width: 12px;
    height: 27px;
    background: url(../media/Scroll.png) center no-repeat;
    cursor: pointer;
    outline: none;
    border: none;
}

#controls-instructions {
    padding-right: 70px;
    padding-left: 1.25em;
    margin: 0;
    list-style-type: none;
    font-family: "EuroNarrow", "Helvetica", sans-serif;
    letter-spacing: 0.06em;
}

#controls-instructions h2 {
  margin: 0;
  font-size: inherit;
  margin-bottom: .5em;
  text-transform: uppercase;
}

#controls-instructions li {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

#controls-instructions code {
    background: rgb(97,97,97);
    color: white;
    border-radius: 3px;
    margin-left: 1em;
    font-size: .8em;
    line-height: 1;
    padding: 1px 4px;
}

#toggleUI {
    display: none;
    position: absolute;
    top: 1.25em;
    right: 1.25em;
    width: 36px;
    height: 36px;
    border: none;
    outline: none;
    background: url(../media/close.png) center no-repeat;
    background-size: contain;
    border-radius: 50%;
    padding: 0;
    box-shadow: 0 0 4px black;
    cursor: pointer;
    transition: transform 0.18s;
}

/* Don't show the button until game is loaded */
[data-unity-loaded="true"] #toggleUI {
    display: block;
}

#toggleUI.uiClosed {
    transform: rotate(-45deg);
}

#toggleUI.uiOpen {
    transform: rotate(0deg);
}

#toggleUI:hover {
    opacity: 0.75;
}

/*
@media (max-width: 1200px) {
  [data-unity-loaded="true"] #ui-container {
    height: 100%;
    width: unset;
    flex-direction: column;
    overflow-y: scroll;
  }

  #parameters {
    grid-template-columns: 1fr;
    margin-bottom: 1.25em
  }
  #ui-right {
    width: 100%;
  }

  #controls-instructions {
    padding: 0;
  }
}
*/